"montana" <montana / buc99.bsd.st> wrote in message
news:200211261913.gAQJDSPf000658 / buc99.bsd.st...
> OOps!!
>
> Here is the code I'm trying to run:
> #!/usr/bin/ruby -w
> require "cgi"
> cgi = CGI.new("html3")
> cgi.out{
>         cgi.html{
>                 cgi.head{"\n" + cgi.title{"This is a Test"} } +
>                 cgi.body{"\n" +
>                         cgi.form{"\n" +
>                                 cgi.hr +
>                                 cgi.h1{"A Form: "} + "\n" +
>                                 cgi.textarea("get_text") + "\n" +
>                                 cgi.br +
>                                 cgi.submit
>                         }
>                 }
>         }
> }
>
> I get an error from this.
>
> Thanks.
> SA
>

 What is your error?  It is very difficult for anyone in this group to help
you if we don't know what the problem is.

Having said that though, your code works for me.  If you are getting an
error message, it may be because the CGI library isn't installed on your
machine, or it is not in your library path.

-Jason